#!/bin/bash

#
# Automated Build Script for Egg to automate the building of both debug and release configurations 
#   of the project, including the post_build scripts that will build a release package.
#
# This may be run by an automated process to clean and/or build each project with an /automated/auto_ script.
#
# <!-- Copyright (c) 2015 Tim Beaudet - All Rights Reserved -->
#---------------------------------------------------------------------------------------------------------------------#

export CurrentDirectory=$(pwd)
cd ../

premake4 --file="make_project.lua" --name="egg" xcode3

cd macosx/
echo Building debug...
xcodebuild -target "egg" -configuration debug build

echo Building release...
xcodebuild -target "egg" -configuration release build

cd $CurrentDirectory
