#!/bin/bash

#
# Automated Build Script for Egg to automate the cleaning of the project.
#
# This may be run by an automated process to clean and/or build each project with an /automated/auto_ script.
#
# <!-- Copyright (c) 2015 Tim Beaudet - All Rights Reserved -->
#---------------------------------------------------------------------------------------------------------------------#

export CurrentDirectory=$(pwd)
cd ../

premake4 --file="make_project.lua" --name="egg" clean

#If the shippable Mac OS X application package exists, delete it during project cleaning.
if [ -d "${toRunDir}../Egg.app" ]; then
  rm -r "${toRunDir}../Egg.app"
fi

cd $CurrentDirectory
