@ECHO off

REM
REM Automated Build Script for Egg to copy the executable during a debug build.
REM
REM <!-- Copyright (c) 2015 Tim Beaudet - All Rights Reserved -->
REM -------------------------------------------------------------------------------------------------------------------

SET toSlnDir=""
SET toRunDir="..\..\run\"

IF NOT DEFINED buildType SET buildType="debug\"
IF NOT DEFINED exePostfix SET exePostfix="_debug"

IF DEFINED exePostfix ( 
  IF EXIST "%toRunDir%egg%exePostfix%.exe" (DEL "%toRunDir%egg%exePostfix%.exe")
  COPY "%toSlnDir%%buildType%egg.exe" "%toRunDir%\egg%exePostfix%.exe" 
) ELSE ( 
  IF EXIST "%toRunDir%egg_debug.exe" (DEL "%toRunDir%egg_debug.exe")
  COPY "%toSlnDir%%buildType%egg.exe" "%toRunDir%\egg_debug.exe"
)
