#

#
# Automated Build Script for Egg to copy the Mac OS X executable during a debug build.
#
# <!-- Copyright (c) 2015 Tim Beaudet - All Rights Reserved -->
#---------------------------------------------------------------------------------------------------------------------#

export toSlnDir=""
export toRunDir="../../run/"

if [ -z ${buildType} ]; then
	export buildType="debug/"
	echo Build type was undefined, defining as: $buildType
fi

if [ -z ${exePostfix} ]; then
	export exePostfix="_debug"
	echo exePostfix was undefined, defining as: $exePostfix
fi

#Copy the debug executable into the run directory, which can then be run via commandline from the run directory.
if [ -d "${toRunDir}egg${exePostfix}" ]; then
	rm "${toRunDir}egg${exePostfix}"
fi

cp "../macosx/debug/egg.app/Contents/MacOS/egg" "${toRunDir}egg${exePostfix}"
