///
/// @file
/// @details An entity within the Egg project.
///
/// <!-- Copyright (c) 2015 Tim Beaudet - All Rights Reserved -->
///-----------------------------------------------------------------------------------------------------------------///

#include "template_entity.h"

//--------------------------------------------------------------------------------------------------------------------//

Egg::TemplateEntity::TemplateEntity(void) :
	tbGame::Entity("TemplateEntity"),
	mSprite(tbGraphics::theSpriteManager.GetSprite("concept_art", "player_down_01"))
{
	AddGraphic(mSprite);
}

//--------------------------------------------------------------------------------------------------------------------//

Egg::TemplateEntity::~TemplateEntity(void)
{
}

//--------------------------------------------------------------------------------------------------------------------//

void Egg::TemplateEntity::OnAdded(void)
{
	tbGame::Entity::OnAdded();
}

//--------------------------------------------------------------------------------------------------------------------//

void Egg::TemplateEntity::OnRemoved(void)
{
	tbGame::Entity::OnRemoved();
}

//--------------------------------------------------------------------------------------------------------------------//

void Egg::TemplateEntity::OnSimulate(void)
{
	tbGame::Entity::OnSimulate();
}

//--------------------------------------------------------------------------------------------------------------------//

void Egg::TemplateEntity::OnUpdate(const float deltaTime)
{
	tbGame::Entity::OnUpdate(deltaTime);
}

//--------------------------------------------------------------------------------------------------------------------//

void Egg::TemplateEntity::OnRender(void) const
{
	tbGame::Entity::OnRender();
}

//--------------------------------------------------------------------------------------------------------------------//

void Egg::TemplateEntity::OnCollideWith(tbGame::Entity& otherEntity)
{
	tbGame::Entity::OnCollideWith(otherEntity);
}

//--------------------------------------------------------------------------------------------------------------------//
