@ECHO off

REM
REM Automated Build Script for Egg to automate the building of both debug and release configurations 
REM   of the project, including the post_build scripts that will build a release package.
REM
REM This may be run by an automated process to clean and/or build each project with an /automated/auto_ script.
REM
REM <!-- Copyright (c) 2015 Tim Beaudet - All Rights Reserved -->
REM -------------------------------------------------------------------------------------------------------------------

SET CurrentDirectory="%CD%"
CD ../

premake5 --file="make_project.lua" --name="egg" vs2015

CALL "C:\Program Files\Microsoft Visual Studio 10.0\VC\vcvarsall.bat"

ECHO Building debug...
msbuild "windows/egg.sln" /property:Configuration=debug

ECHO Building release...
msbuild "windows/egg.sln" /property:Configuration=release

CD "%CurrentDirectory%"
