///
/// @file
/// @details Entry point of the Egg project.
///
/// <!-- Copyright (c) 2015 Tim Beaudet - All Rights Reserved -->
///-----------------------------------------------------------------------------------------------------------------///

#ifndef _Egg_Egg_h_
#define _Egg_Egg_h_

#include "turtle_brains/tb_application_kit.h"
#include "turtle_brains/tb_audio_kit.h"
#include "turtle_brains/tb_core_kit.h"
#include "turtle_brains/tb_debug_kit.h"
#include "turtle_brains/tb_game_kit.h"
#include "turtle_brains/tb_graphics_kit.h"
#include "turtle_brains/tb_math_kit.h"

#include <stdint.h>

namespace Egg
{

	typedef uint32_t MillisecondTimer;

	static const MillisecondTimer kFixedTimeMS(10);
	static const float kFixedTime(0.01f);

}; /* namespace Egg */

#endif /* _Egg_Egg_h_ */
